Bug 1154165 - Review Request: golang-github-docker-libtrust - Library for managing authentication and authorization
Summary: Review Request: golang-github-docker-libtrust - Library for managing authenti...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-17 17:30 UTC by Lokesh Mandvekar
Modified: 2015-01-17 19:17 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-11-09 15:46:53 UTC
vbatts: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lokesh Mandvekar 2014-10-17 17:30:37 UTC
Spec URL: https://lsm5.fedorapeople.org/golang-github-docker-libtrust/golang-github-docker-libtrust.spec
SRPM URL: https://lsm5.fedorapeople.org/golang-github-docker-libtrust/SRPMS/golang-github-docker-libtrust-0-0.1.gitd273ef2.fc22.src.rpm

Description: 
%{summary} using public key cryptography.

Authentication is handled using the identity attached
to the public key. Libtrust provides multiple methods
to prove possession of the private key associated with
an identity.

    - TLS x509 certificates
    - Signature verification
    - Key Challenge

Authorization and access control is managed through a
distributed trust graph. Trust servers are used as the
authorities of the trust graph and allow caching portions
of the graph for faster access.

Fedora Account System Username: lsm5

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7897541

$ rpmlint golang-github-docker-libtrust.spec SRPMS/golang-github-docker-libtrust-0-0.1.gitd273ef2.fc22.src.rpm RPMS/noarch/golang-github-docker-libtrust-devel-0-0.1.gitd273ef2.fc22.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Lokesh Mandvekar 2014-10-17 17:33:46 UTC
ohh man ..correcting URL in a bit

Comment 3 Vincent Batts 2014-10-17 17:54:59 UTC
looks good and lines up with current go guidelines

New Package SCM Request
=======================
Package Name: golang-github-docker-libtrust
Short Description: Library for managing authentication and authorization
Upstream URL: https://github.com/docker/libtrust
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 4 Lokesh Mandvekar 2014-10-17 18:08:32 UTC
New Package SCM Request
=======================
Package Name:  golang-github-docker-libtrust
Short Description: Library for managing authentication and authorization
Upstream URL: https://github.com/docker/libtrust
Owners: lsm5 vbatts jchaloup
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 5 Gwyn Ciesla 2014-10-17 19:41:03 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-10-18 19:50:11 UTC
golang-github-docker-libtrust-0-0.1.gitd273ef2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-docker-libtrust-0-0.1.gitd273ef2.fc21

Comment 7 Fedora Update System 2014-10-19 02:32:21 UTC
golang-github-docker-libtrust-0-0.1.gitd273ef2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 8 Fedora Update System 2014-10-19 16:34:23 UTC
golang-github-docker-libtrust-0-0.1.gitd273ef2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-docker-libtrust-0-0.1.gitd273ef2.fc20

Comment 9 Fedora Update System 2014-11-03 19:00:01 UTC
golang-github-docker-libtrust-0-0.1.gitd273ef2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-docker-libtrust-0-0.1.gitd273ef2.el6

Comment 10 Fedora Update System 2014-11-09 15:46:53 UTC
golang-github-docker-libtrust-0-0.1.gitd273ef2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-11-10 06:01:25 UTC
golang-github-docker-libtrust-0-0.1.gitd273ef2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-01-02 17:51:28 UTC
golang-github-docker-libtrust-0-0.2.git6b78349.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-docker-libtrust-0-0.2.git6b78349.el6

Comment 13 Fedora Update System 2015-01-17 19:17:11 UTC
golang-github-docker-libtrust-0-0.2.git6b78349.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.